#import "../fragments/vulnerability.fragment.graphql"

query instanceVulnerabilities(
  $after: String
  $first: Int = 20
  $projectId: [ID!]
  $severity: [VulnerabilitySeverity!]
  $reportType: [VulnerabilityReportType!]
  $scanner: [String!]
  $scannerId: [VulnerabilitiesScannerID!]
  $state: [VulnerabilityState!]
  $sort: VulnerabilitySort
  $hasIssues: Boolean
  $hasResolution: Boolean
  $vetEnabled: Boolean = false
) {
  vulnerabilities(
    after: $after
    first: $first
    severity: $severity
    reportType: $reportType
    state: $state
    projectId: $projectId
    scanner: $scanner
    scannerId: $scannerId
    sort: $sort
    hasIssues: $hasIssues
    hasResolution: $hasResolution
  ) {
    nodes {
      ...VulnerabilityFragment
    }
    pageInfo {
      endCursor
      hasNextPage
    }
  }
}
